Apache C++ Standard Library Reference Guide

## return_temporary_buffer()

Library: General utilities

    Function

- Local Index
- Summary
- Synopsis
- Description
- See Also
- Standards Conformance

### Local Index

No Entries

### Summary

Function template for deallocation of temporary storage

### Synopsis

    #include <memory>

    namespace std {
      template <class T>
      void return_temporary_buffer(T* ptr);
    }

### Description

Specializations of the `return_temporary_buffer()` function template deallocate temporary storage previously allocated by a call to the matching specialization of `get_temporary_buffer()`.

The detsructors of any objects stored in the temporary storage region are not invoked as a result of the call. The caller is responsible for destroying the objects prior to making the call.

The function is thread-safe but must be called from the same thread as the one that made the call to the matching specialization of `get_temporary_buffer()` to obtain the storage.

### See Also

allocator, `get_temporary_buffer()`

### Standards Conformance

ISO/IEC 14882:1998 -- International Standard for Information Systems -- Programming Language C++, Section 20.4.3